﻿// $Id: FormCaptcha.cs 25 2008-04-20 14:51:40Z arcao $
//
// Copyright (C) 2008 Martin "Arcao" Sloup <arcao@arcao.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Drawing;
using System.Windows.Forms;

namespace OSD.PluginBase
{
    /// <summary>
    /// Form for show captcha Image and entering the code by user
    /// </summary>
    public partial class FormCaptcha : Form
    {
        private string captchaCode = string.Empty;

        /// <summary>
        /// FormCaptcha construktor with Image argument which will be showed
        /// </summary>
        /// <param name="captchaImage">Image which will be showed</param>
        public FormCaptcha(Image captchaImage)
        {
            InitializeComponent();
            //resize form and pictureBox by image size
            Size sizeDiff = captchaImage.Size - pictureBox.Size;
            Size += sizeDiff;
            pictureBox.Size += sizeDiff;

            pictureBox.Image = captchaImage;
            textBoxCode.Focus();
        }

        /// <summary>
        /// Return captcha code entered by user
        /// </summary>
        public string Code
        {
            get { return captchaCode; }
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            captchaCode = textBoxCode.Text;
            DialogResult = DialogResult.OK;
            Close();
        }
    }
}